"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_2 = require("react");
var Icons_1 = require("../Icons/Icons");
var CheckBox_module_scss_1 = __importDefault(require("./CheckBox.module.scss"));
var ContentBox_1 = __importDefault(require("../ContentBox/ContentBox"));
function CheckBox(_a) {
    var checked = _a.checked;
    var _b = (0, react_2.useState)(Boolean(checked)), isChecked = _b[0], setIsChecked = _b[1];
    var toggleChecked = function () { return setIsChecked(!isChecked); };
    var checkmarkRef = (0, react_2.useRef)(null);
    return (react_1.default.createElement(ContentBox_1.default, { onClick: toggleChecked, className: CheckBox_module_scss_1.default.checkbox },
        react_1.default.createElement("button", { className: CheckBox_module_scss_1.default.innerBox }, isChecked && (react_1.default.createElement(Icons_1.CheckmarkIcon, { ref: checkmarkRef, className: CheckBox_module_scss_1.default.checkmark })))));
}
exports.default = CheckBox;
