"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var ContentBox_1 = __importDefault(require("../ContentBox/ContentBox"));
var SideNotification_module_scss_1 = __importDefault(require("./SideNotification.module.scss"));
function SideNotification(_a) {
    var children = _a.children, className = _a.className, position = _a.position, blockContent = _a.blockContent;
    position = position === undefined ? "bottom-right" : position;
    var box = (react_1.default.createElement(ContentBox_1.default, { className: "".concat(SideNotification_module_scss_1.default.notification, " ").concat(className || "", " ").concat(SideNotification_module_scss_1.default[position]) }, children));
    if (blockContent) {
        return react_1.default.createElement("div", { className: SideNotification_module_scss_1.default.blocker }, box);
    }
    return box;
}
exports.default = SideNotification;
