"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableRow = void 0;
var react_1 = __importDefault(require("react"));
var react_2 = require("react");
var ContentBox_1 = __importDefault(require("../ContentBox/ContentBox"));
var Table_module_scss_1 = __importDefault(require("./Table.module.scss"));
function Table(_a) {
    var children = _a.children, className = _a.className;
    return (react_1.default.createElement("div", { className: "".concat(Table_module_scss_1.default.tableContainer, " ").concat(className || "") },
        react_1.default.createElement("div", { className: "".concat(Table_module_scss_1.default.tableVerticalContainer) },
            react_1.default.createElement("div", { style: { overflow: "hidden" } },
                react_1.default.createElement("div", { className: Table_module_scss_1.default.tableHorizontalContainer },
                    react_1.default.createElement("div", { className: "".concat(Table_module_scss_1.default.table) }, children))))));
}
function TableRow(_a) {
    var children = _a.children;
    var arrayChildren = react_2.Children.toArray(children);
    return (react_1.default.createElement(ContentBox_1.default, { className: Table_module_scss_1.default.row }, arrayChildren.map(function (child, index) {
        return (react_1.default.createElement("div", { key: index, className: Table_module_scss_1.default.cell }, child));
    })));
}
exports.TableRow = TableRow;
exports.default = Table;
