"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var DropDownMenu_1 = __importDefault(require("../DropDownMenu/DropDownMenu"));
var HorizontalMenu_module_scss_1 = __importDefault(require("./HorizontalMenu.module.scss"));
function HorizontalMenu(_a) {
    var menuItems = _a.menuItems, className = _a.className, menuPosition = _a.menuPosition;
    return (react_1.default.createElement("div", { className: "".concat(HorizontalMenu_module_scss_1.default.menu, " ").concat(className) }, menuItems.map(function (item, index) {
        return (react_1.default.createElement(DropDownMenu_1.default, { key: index, menuItems: item, menuPosition: menuPosition }));
    })));
}
exports.default = HorizontalMenu;
